# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Test-Distribution
Version:	2.00
Release:	7.%{__distinit}%{__distvers}
Summary:	Perform tests on all modules of a distribution
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Distribution/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SR/SRSHAH/Test-Distribution-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(File::Find::Rule) >= 0.03
BuildRequires:	perl(Module::CoreList) >= 1.93
BuildRequires:	perl(Pod::Coverage) >= 0.17
BuildRequires:	perl(Test::Pod) >= 0.95
BuildRequires:	perl(Test::Pod::Coverage)
# these are considered "optional"; autoreq doesn't pick them up
Requires:	perl(File::Find::Rule) >= 0.03
Requires:	perl(Module::CoreList) >= 1.93
Requires:	perl(Module::Signature)
Requires:	perl(Pod::Coverage) >= 0.17
Requires:	perl(Test::Pod) >= 0.95
Requires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile OK and checks
that they all define a $VERSION.

%prep
%setup -q -n Test-Distribution-%{version}
for f in README Changes.pod; do
	/usr/bin/iconv -f iso-8859-1 -t utf-8 < ${f} > ${f}.utf8
	%{__mv} ${f}.utf8 ${f}
done

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
LC_ALL=C ./Build test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes.pod README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Distribution.3pm*

%changelog
* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 2.00-7
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 18 2010 Paul Howarth <paul@city-fan.org> 2.00-6
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> 2.00-5
- Dist tag for Rawhide no longer needs special-casing

* Wed Sep 30 2009 Paul Howarth <paul@city-fan.org> 2.00-4
- Define RPM macros in global scope

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> 2.00-3
- Import from Fedora
- No signature test, so Module::Signature not needed as buildreq
- Recode README and Changes.pod as UTF8
- Run tests in "C" locale to avoid Module::Build's inability to find perl
  in the test suite on older distributions

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.00-2
- Changes -> Changes.pod in doc

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.00-1
- update to 2.00

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.26-5
- rebuild for new perl

* Sat Mar 10 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.26-4
- don't mess with debuginfo, just disable it.
- appease Module::Signature/gpg

* Thu Mar 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.26-3
- cause rm to not fail on non-existance of debug*list in check.

* Wed Dec 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.26-2
- bump

* Wed Dec 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.26-1
- Specfile autogenerated by cpanspec 1.69.1.
